# $Revision: 1.1 $, $Date: 2002/07/28 22:18:02 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CipherSaber
Summary:	Crypt::CipherSaber Perl module - interface to CipherSaber 1 and 2 encryptions
Summary(pl):	Modu Perla Crypt::CipherSaber - interfejs do szyfrw CipherSaber 1 i 2
Name:		perl-Crypt-CipherSaber
Version:	0.61
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::CipherSaber is a Perl module providing an object oriented
interface to CipherSaber-1 and CipherSaber-2 encryption.

%description -l pl
Crypt::CipherSaber to modu Perla dajcy obiektowo zorientowany
interfejs do szyfrw CipherSaber-1 i CipherSaber-2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/CipherSaber.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-CipherSaber.spec,v $
Revision 1.1  2002/07/28 22:18:02  qboosh
- new

